com.sun.java.xml.ns.javaee

## Class EnvEntryType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.EnvEntryType

-     public class EnvEntryType
      extends Object

  The env-entryType is used to declare an application's environment entry. The declaration consists of an optional description, the name of the environment entry, a type (optional if the value is injected, otherwise required), and an optional value. It also includes optional elements to define injection of the named resource into fields or JavaBeans properties. If a value is not specified and injection is requested, no injection will occur and no entry of the specified name will be created. This allows an initial value to be specified in the source code without being incorrectly changed when no override has been specified. If a value is not specified and no injection is requested, a value must be supplied during deployment. This type is used by env-entry elements.

  Java-Klasse für env-entryType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="env-entryType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="env-entry-name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="env-entry-type" type="{http://java.sun.com/xml/ns/javaee}env-entry-type-valuesType" minOccurs="0"/>
               <element name="env-entry-value" type="{http://java.sun.com/xml/ns/javaee}xsdStringType" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected JndiNameType` | `envEntryName`
    `protected EnvEntryTypeValuesType` | `envEntryType`
    `protected XsdStringType` | `envEntryValue`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected XsdStringType` | `lookupName`
    `protected XsdStringType` | `mappedName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvEntryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `JndiNameType` | `getEnvEntryName()` Ruft den Wert der envEntryName-Eigenschaft ab.
    `EnvEntryTypeValuesType` | `getEnvEntryType()` Ruft den Wert der envEntryType-Eigenschaft ab.
    `XsdStringType` | `getEnvEntryValue()` Ruft den Wert der envEntryValue-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `XsdStringType` | `getLookupName()` Ruft den Wert der lookupName-Eigenschaft ab.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `void` | `setEnvEntryName(JndiNameType value)` Legt den Wert der envEntryName-Eigenschaft fest.
    `void` | `setEnvEntryType(EnvEntryTypeValuesType value)` Legt den Wert der envEntryType-Eigenschaft fest.
    `void` | `setEnvEntryValue(XsdStringType value)` Legt den Wert der envEntryValue-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLookupName(XsdStringType value)` Legt den Wert der lookupName-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### envEntryName

          protected JndiNameType envEntryName

    - #### envEntryType

          protected EnvEntryTypeValuesType envEntryType

    - #### envEntryValue

          protected XsdStringType envEntryValue

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### lookupName

          protected XsdStringType lookupName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### EnvEntryType

          public EnvEntryType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getEnvEntryName

          public JndiNameType getEnvEntryName()

      Ruft den Wert der envEntryName-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setEnvEntryName

          public void setEnvEntryName(JndiNameType value)

      Legt den Wert der envEntryName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getEnvEntryType

          public EnvEntryTypeValuesType getEnvEntryType()

      Ruft den Wert der envEntryType-Eigenschaft ab.
      Returns:
        possible object is `EnvEntryTypeValuesType`

    - #### setEnvEntryType

          public void setEnvEntryType(EnvEntryTypeValuesType value)

      Legt den Wert der envEntryType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `EnvEntryTypeValuesType`

    - #### getEnvEntryValue

          public XsdStringType getEnvEntryValue()

      Ruft den Wert der envEntryValue-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setEnvEntryValue

          public void setEnvEntryValue(XsdStringType value)

      Legt den Wert der envEntryValue-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getLookupName

          public XsdStringType getLookupName()

      Ruft den Wert der lookupName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setLookupName

          public void setLookupName(XsdStringType value)

      Legt den Wert der lookupName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.